org.apache.fop.complexscripts.fonts

## Interface GlyphDefinition

- All Known Implementing Classes:
    GlyphDefinitionSubtable

      public interface GlyphDefinition

  The `GlyphDefinition` interface is a marker interface implemented by a glyph definition subtable.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasDefinition(int gi)` Determine if some definition is available for a specific glyph.

- - ### Method Detail

    - #### hasDefinition

          boolean hasDefinition(int gi)

      Determine if some definition is available for a specific glyph.
      Parameters:
        `gi` - a glyph index
      Returns:
        true if some (unspecified) definition is available for the specified glyph

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.